Bug 130190 - No kernel-doc update needed
No kernel-doc update needed
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Depends On:
  Show dependency treegraph
Reported: 2004-08-17 16:27 EDT by David Masterson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-29 22:53:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Masterson 2004-08-17 16:27:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)

Description of problem:
The RHN-Applet constantly shows a red exclamation and claims that I
need an update to "kernel-doc".  It shows between 1 and 5 newer
versions of "kernel-doc" that I could apply (from 2.6.6 and 2.6.7). 
However, once I run up2date, it reports that my system is up to date
and no new packages are needed.  I've tried removing the "kernel-doc"
entries from ~/.rhn-applet/updates-released (across all "~"), but it
just seems to come back anyway.  Where is this coming from?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. RHN-Applet turns into a red exclamation.
2. Click on RHN-Applet and note the list of updates.
3. Bring up Up2Date and see if it reports "no updates needed".

Actual Results:  Up2Date reports "no updates needed" while RHN-Applet
reports that "kernel-doc" needs an update.

Expected Results:  Either up2date should update the system or inform
rhn-applet that no updates are needed.

Additional info:

More information is needed on how to configure and control RHN-Applet
and it's connection to up2date (or yum).  There should be HELP dialogs
and CONFIG buttons.
Comment 1 David Masterson 2004-08-17 16:31:56 EDT
Looking at it now, I'm not sure the description says exactly what I
wanted.  RHN-Applet shows a red exclamation point and between 1 and 5
newer versions of "kernel-doc" (ie. one line with up to 5 available
updates).  Up2Date, however, reports that my system is up-to-date.  I
do not see any clean way of fixing this (as in the updates-released file).
Comment 2 Matthew Miller 2005-04-26 11:34:58 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 David Lawrence 2006-04-18 16:16:21 EDT
NEEDINFO_ENG has been deprecated in favor of NEEDINFO or ASSIGNED. Changing
status to ASSIGNED for ENG review.
Comment 4 Matthew Miller 2006-06-29 22:53:46 EDT
Looking through old bugs. FC2 no longer gets updates through rhn, since it's
maintained by Fedora Legacy. Plus, the whole rhn-applet thing was horribly prone
to this sort of thing and is being replaced in FC6. So, marking WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.